#include <stdio.h>

int main()
{
	int N,A,pom;
	
	scanf("%d",&N);
	scanf("%d",&A);
	
	if(N<3*A)
	{
		printf("-1\n");
	}
	else
	{
		//prvi set
		printf("%d 0\n",A);
		N-=A;
		
		//drugi set
		if((N-A)%2==1)
		{
			printf("%d 1\n",A);
			N=N-A-1;
		}
		else
		{
			printf("%d 0\n",A);
			N=N-A;
		}
		
		//treci set
		if(N>(2*A-2))
		{
			printf("%d %d \n",N/2+1,N/2-1);
		}
		else
		{
			printf("%d %d \n",A,N-A);
		}
	}
}